Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88230 - Destructive actions should always be confirmed
Summary: Destructive actions should always be confirmed
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer
Version: 9
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 23:48 UTC by Lyle Taylor
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 19:22:48 UTC


Attachments (Terms of Use)

Description Lyle Taylor 2003-04-07 23:48:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I went to change the default printer and accidentally clicked on the the
"Delete" toolbar button instead of the "Default" button (which is easy to do
since they're right next to each other).  Without asking for a confirmation, it
deleted the queue that I wanted to make the default.  In order to undo it, I had
to close and restart the app.  As a general principle, good user interface
design requires that confirmation be obtained before destructive actions are
carried out, unless the user has selected an option not to.  This is a case
where I think it would definitely be better to ask for confirmation before
performing the action, especially since there is no undo!

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.47-1

How reproducible:
Always

Steps to Reproduce:
1. Simply choose any queue and then click on the "Delete" toolbar button.

    

Actual Results:  The queue was deleted from the list.

Expected Results:  It should have asked me for confirmation before deleting the
queue from the list.

Additional info:

Comment 1 Tim Waugh 2003-04-08 08:35:32 UTC
Requires style guide.

Comment 2 Bill Nottingham 2006-08-05 05:38:10 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 4 Bill Nottingham 2007-01-02 19:22:48 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.